Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.optim
Interface ConvergenceChecker<PAIR>

Type Parameters:
  `PAIR` - Type of the (point, objective value) pair.

All Known Implementing Classes:
  AbstractConvergenceChecker, SimplePointChecker, SimpleUnivariateValueChecker, SimpleValueChecker, SimpleVectorValueChecker

    public interface ConvergenceChecker<PAIR>

This interface specifies how to check if an optimization algorithm has converged.
Deciding if convergence has been reached is a problem-dependent issue. The user should provide a class implementing this interface to allow the optimization algorithm to stop its search according to the problem at hand.
For convenience, three implementations that fit simple needs are already provided: `SimpleValueChecker`, `SimpleVectorValueChecker` and `SimplePointChecker`. The first two consider that convergence is reached when the objective function value does not change much anymore, it does not use the point set at all. The third one considers that convergence is reached when the input point set does not change much anymore, it does not use objective function value at all.

Since:
  3.0
Version:
  $Id: ConvergenceChecker.java 1364392 2012-07-22 18:27:12Z tn $
See Also:
  `SimplePointChecker`, `SimpleValueChecker`, `SimpleVectorValueChecker`

Method Summary
`boolean` | `converged(int iteration, PAIR previous, PAIR current)` Check if the optimization algorithm has converged.

Method Detail

### converged

    boolean converged(int iteration,
                      PAIR previous,
                      PAIR current)

  Check if the optimization algorithm has converged.

  Parameters:
    `iteration` - Current iteration.
    `previous` - Best point in the previous iteration.
    `current` - Best point in the current iteration.
  Returns:
    `true` if the algorithm is considered to have converged.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.